<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']= 'Создать папку';
include_once '../../sys/inc/thead.php';
title();

only_reg();


if (isset($_POST['submit'])){

if ($_POST['no_pass']==1){

$pass = '';
$pass_set = '0';

}else{

$pass = mysql_real_escape_string($_POST['pass']);
$pass_set = '1';

}

$name = mysql_real_escape_string($_POST['name']);
$opis = mysql_real_escape_string($_POST['opis']);
$pass2 = mysql_real_escape_string($pass);
$str_name = strlen($name);
$str_opis = strlen($opis);
$str_pass = strlen($pass2);

echo '<div class="komm">';

if (!$name || !$opis){echo 'Некорректное название или описание.<br/>';}else{

if ($str_name<2 || $str_name>16){echo 'Название должно быть больше 2 и меньше 16 символов.<br/>';}else{

if ($str_opis<5 || $str_opis>512){echo 'Описание должно быть больше 5 и меньше 512 символов.<br/>';}else{

if ($_POST['no_pass']!==1 && $str_pass>8){echo 'Пароль должен быть меньше 8 символов.<br/>';}else{

mysql_query("INSERT INTO `user_files_mod_papka` (`kto_id`, `name`, `opis`, `time`, `pass_set`, `pass`) VALUES ('".$user['id']."', '".$name."', '".$opis."', '".time()."', '".$pass_set."', '".$pass."')");

echo 'Папка успешно создана.<br/>';

}

}

}

}

echo '</div>';

}else{
echo '<font color="red">Если не хотите ставить пароль на папку, тогда поставьте галочку рядом с "Без пароля".</font><br/>';
echo '<div class="textmes">';
echo '<form action="/user/files/new_papka.php" method="post">';
echo 'Название (2-16):<br/>';
echo '<input type="text" name="name" value=""/><br/>';
echo 'Описание (5-512):<br/>';
echo '<input type="text" name="opis" value=""/><br/>';
echo 'Пароль (Макс. 8):<br/>';
echo '<input type="text" name="pass" value=""/><br/>';
echo '<input type="checkbox" name="no_pass" value="1"/> Без пароля<br/>';
echo '<input type="submit" name="submit" value="Создать"/></form>';
echo '</div>';

}

echo '<div class="foot">';
echo '<a href="/user/files/?id='.$user['id'].'">К моим файлам</a><br/>';
echo '</div>';

include_once '../../sys/inc/tfoot.php';
?>